> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://apidocs.polytomic.com/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://apidocs.polytomic.com/_mcp/server. # Create Webhook POST https://app.polytomic.com/api/webhooks Content-Type: application/json Creates the organization's webhook. > 📘 One webhook per organization > > An organization can register a single webhook, which receives every event > produced in that organization. See the > [Events documentation](../../guides/events) for the > list of event types and payload shapes. Reference: https://apidocs.polytomic.com/api-reference/webhooks/create ## Authentication - `Authorization` header (basic auth, required) — This is the Polytomic deployment key (on-premises only) - `Authorization` header (bearer token, required) — This is the Polytomic API key ## Request ### Body (application/json) This endpoint expects a V2CreateWebhooksSchema. - `endpoint` (string, required) - `secret` (string, required) - `organization_id` (string, optional, nullable) ## Response ### 200 OK - `data` (V2Webhook, optional) ## Errors ### 401 Unauthorized Error Unauthorized - `code` (integer, optional) — Application-specific error code. - `context` (map from string to any, optional) — Application context. - `error` (string, optional) — Error message. - `status` (string, optional) — Status text. ### 422 Unprocessable Entity Error Unprocessable Entity - `key` (string, optional) - `message` (string, optional) - `metadata` (map from string to any, optional) - `status` (integer, optional) ### 500 Internal Server Error Internal Server Error - `key` (string, optional) - `message` (string, optional) - `metadata` (map from string to any, optional) - `status` (integer, optional) ## Types ### V2Webhook - `created_at` (string, optional) - `disabled` (boolean, optional) - `disabled_at` (string, optional, nullable) - `disabled_reason` (string, optional, nullable) - `endpoint` (string, optional) - `id` (string, optional) - `organization_id` (string, optional) - `secret` (string, optional) ## Examples **Request** ```json { "endpoint": "https://example.com/webhook", "secret": "string" } ``` **Response** ```json { "data": { "created_at": "2024-01-01T00:00:00Z", "disabled": true, "disabled_at": "2024-01-15T09:30:00Z", "disabled_reason": "string", "endpoint": "https://example.com/webhook", "id": "248df4b7-aa70-47b8-a036-33ac447e668d", "organization_id": "248df4b7-aa70-47b8-a036-33ac447e668d", "secret": "secret" } } ``` **SDK Code** ```typescript import { PolytomicClient } from "polytomic"; async function main() { const client = new PolytomicClient({ token: "YOUR_TOKEN_HERE", version: "X-Polytomic-Version", }); await client.webhooks.create({ endpoint: "https://example.com/webhook", secret: "string", }); } main(); ``` ```python from polytomic import Polytomic client = Polytomic( token="YOUR_TOKEN_HERE", version="X-Polytomic-Version", ) client.webhooks.create( endpoint="https://example.com/webhook", secret="string", ) ``` ```go package example import ( context "context" polytomic "github.com/polytomic/polytomic-go/v24" client "github.com/polytomic/polytomic-go/v24/client" option "github.com/polytomic/polytomic-go/v24/option" ) func do() { client := client.NewClient( option.WithToken( "YOUR_TOKEN_HERE", ), option.WithVersion( "X-Polytomic-Version", ), ) request := &polytomic.CreateWebhooksSchema{ Endpoint: "https://example.com/webhook", Secret: "string", } client.Webhooks.Create( context.TODO(), request, ) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.polytomic.com/api/webhooks") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["X-Polytomic-Version"] = 'X-Polytomic-Version' request.basic_auth("", "") request["Content-Type"] = 'application/json' request.body = "{\n \"endpoint\": \"https://example.com/webhook\",\n \"secret\": \"string\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://app.polytomic.com/api/webhooks") .header("X-Polytomic-Version", "X-Polytomic-Version") .basicAuth("", "") .header("Content-Type", "application/json") .body("{\n \"endpoint\": \"https://example.com/webhook\",\n \"secret\": \"string\"\n}") .asString(); ``` ```php request('POST', 'https://app.polytomic.com/api/webhooks', [ 'body' => '{ "endpoint": "https://example.com/webhook", "secret": "string" }', 'headers' => [ 'Content-Type' => 'application/json', 'X-Polytomic-Version' => 'X-Polytomic-Version', ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://app.polytomic.com/api/webhooks"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.POST); request.AddHeader("X-Polytomic-Version", "X-Polytomic-Version"); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"endpoint\": \"https://example.com/webhook\",\n \"secret\": \"string\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let credentials = Data(":".utf8).base64EncodedString() let headers = [ "X-Polytomic-Version": "X-Polytomic-Version", "Authorization": "Basic \(credentials)", "Content-Type": "application/json" ] let parameters = [ "endpoint": "https://example.com/webhook", "secret": "string" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.polytomic.com/api/webhooks")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```